TokenLab

視頻與素材

列出素材資產

列出當前組織擁有的 Seedance 素材資產。

GET
/v1/videos/assets

列出經身份驗證的組織所擁有的素材資產。當您需要為特定的生成工作流程尋找資產時,可以透過 library_type、group_id 或 status 進行篩選。

請僅使用 status 為 ACTIVE 的資產。建立影片時請使用回傳的 TokenLab 素材資產 id。

project_name 用於同一組織內的資源隔離,預設為 default。相關素材群組和素材須使用相同且區分大小寫的值;POST/PUT 在 JSON 請求主體中傳入,GET/DELETE 在查詢參數中傳入。

請求範例

curl "https://api.tokenlab.sh/v1/videos/assets?library_type=aigc_avatar&group_id=group-20260720123456-vrt01&page_size=20&project_name=default" \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"

回應範例

{
  "assets": [
    {
      "id": "asset-20260720123456-qn7wr",
      "object": "seedance.material_asset",
      "project_name": "default",
      "group_id": "group-20260720123456-vrt01",
      "library_type": "aigc_avatar",
      "asset_name": "Front view",
      "asset_type": "Image",
      "status": "ACTIVE",
      "ready": true,
      "created_at": 1782998400000
    }
  ],
  "next_page_token": null
}
curl -X GET "https://example.com/v1/videos/assets"
{  "assets": [    {      "id": "asset-20260720123456-qn7wr",      "object": "seedance.material_asset",      "group_id": "group-20260720123456-vrt01",      "library_type": "aigc_avatar",      "asset_name": "Front view",      "asset_type": "Image",      "status": "ACTIVE",      "ready": true,      "error_message": null,      "metadata": null,      "created_at": 1782998400000    }  ],  "next_page_token": null}

授權

BearerAuth
AuthorizationBearer <token>

API Key 驗證。請在 Dashboard > API > API Keys 建立或管理 API 金鑰。

位置: header

查詢參數

page_size?integer
範圍1 <= value <= 100
預設值20
page_token?string
group_id?string

依 TokenLab 素材資產群組 ID 篩選。

status?string

可選值

  • "PROCESSING"
  • "ACTIVE"
  • "FAILED"
  • "DELETED"
library_type?string

依素材庫類別篩選。

可選值

  • "aigc_avatar"
  • "liveness_face"
project_name?string

素材資源的專案範圍。

長度1 <= length <= 128
預設值"default"

回應

application/json

application/json

application/json

application/json